package com.kingdee.eas.custom.hireapproval.task;

import com.kingdee.bos.BOSException;
import com.kingdee.bos.BOSObjectFactory;
import com.kingdee.bos.util.BOSObjectType;
import com.kingdee.bos.Context;

public class HireApprovalFacadeFactory
{
    private HireApprovalFacadeFactory()
    {
    }
    public static com.kingdee.eas.custom.hireapproval.task.IHireApprovalFacade getRemoteInstance() throws BOSException
    {
        return (com.kingdee.eas.custom.hireapproval.task.IHireApprovalFacade)BOSObjectFactory.createRemoteBOSObject(new BOSObjectType("2337803B") ,com.kingdee.eas.custom.hireapproval.task.IHireApprovalFacade.class);
    }
    
    public static com.kingdee.eas.custom.hireapproval.task.IHireApprovalFacade getRemoteInstanceWithObjectContext(Context objectCtx) throws BOSException
    {
        return (com.kingdee.eas.custom.hireapproval.task.IHireApprovalFacade)BOSObjectFactory.createRemoteBOSObjectWithObjectContext(new BOSObjectType("2337803B") ,com.kingdee.eas.custom.hireapproval.task.IHireApprovalFacade.class, objectCtx);
    }
    public static com.kingdee.eas.custom.hireapproval.task.IHireApprovalFacade getLocalInstance(Context ctx) throws BOSException
    {
        return (com.kingdee.eas.custom.hireapproval.task.IHireApprovalFacade)BOSObjectFactory.createBOSObject(ctx, new BOSObjectType("2337803B"));
    }
    public static com.kingdee.eas.custom.hireapproval.task.IHireApprovalFacade getLocalInstance(String sessionID) throws BOSException
    {
        return (com.kingdee.eas.custom.hireapproval.task.IHireApprovalFacade)BOSObjectFactory.createBOSObject(sessionID, new BOSObjectType("2337803B"));
    }
}